# list

## HTTP Request

```http
GET /api/v1/organizations/:organizationName/members
```

## Path parameters

| Parameter         | Type   | Description                  |
| ----------------- | ------ | ---------------------------- |
| :organizationName | string | The name of the organization |

## Query parameters

<table><thead><tr><th width="211.33333333333331">Parameter</th><th>Type</th><th>Description</th></tr></thead><tbody><tr><td>status</td><td>string</td><td>Optional. A comma separated list of statuses; if provided, will only return members of this status. Allowed values are <code>pending</code>, <code>approved</code>, <code>rejected</code>, <code>left</code>.</td></tr><tr><td>labels</td><td>string</td><td>Optional. A comma-separated list of labels to filter on. If multipart labels are present (e.g., <code>school:humanities</code>), you may provide just the prefix to include all entities labeled with that prefix.<br><br>Labels are administrator-specific information. You must be an administrator of an organization, or listing datasets for your user, in order to filter on labels.</td></tr><tr><td>maxResults</td><td> integer</td><td>Maximum number of results to return. Defaults to 100, may not exceed 1000.</td></tr><tr><td>pageToken</td><td>string</td><td>Page token, returned by a previous call, to request the next page of results. If not provided, the first page will be returned</td></tr></tbody></table>

{% hint style="info" %}
This endpoint extends the [general API structure](/api/rest-api/general-structure.md).
{% endhint %}

## Authorization

You must be an administrator of the requested organization, and your access token must have the following scope:

* organization.read

[Learn more about authorization.](/api/rest-api/authorization.md)

## Request body

The request body must be empty.

## Response body

Returns a JSON representation of an array of [member resources](/api/resource-definitions/member.md#list-definition).

```javascript
{
    "kind": "memberList",
    "nextPageToken": integer,
    "results": [
        object(member.list)
    ]
}
```

## Examples

{% tabs %}
{% tab title="curl" %}

```bash
curl -H "Authorization: Bearer $REDIVIS_ACCESS_TOKEN" \
"https://redivis.com/api/v1/organizations/my_organization/members?hasDataAccessToAll=test_dataset:1,other_dataset:2"
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.redivis.com/api/rest-api/members/list.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
